#ifndef MAPAGENT_QOS_H
#define MAPAGENT_QOS_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#ifndef _GNU_SOURCE
#define _GNU_SOURCE
#endif
#include <libubox/list.h>
#include <1905_tlvs.h>
#include <wifidefs.h>
#include <easymesh.h>

#if (EASYMESH_VERSION > 2)
void qos_rule_free(void *rule);
void qos_rule_free_all(struct list_head *list);
int qos_add_dscp_rule(void *a,
                      struct tlv_spr *spr,
                      struct tlv_dscp_pcp *dscp_pcp);
int qos_del_dscp_rule(void *a,
                      struct tlv_spr *spr);
int qos_apply_dscp_rules(void *a);
int qos_sync_rules_to_nodes(void *agent);
int qos_get_rules(void *a);
#endif

#endif
